Vla-addcylinder

提供: GizmoLabs
移動先: 案内検索
構文
(vla-addcylinder vla-object center radius height)


機能
3Dソリッドの円柱を作図する。


引数
  • vla-object … 生成する空間のVLAオブジェクト
  • center … 基点の3Dポイント
  • radius … 円柱の半径(正数)
  • height … 円柱の高さボックスの高さ(正数)


戻り値
作成した3D円柱のVLAオブジェクト


サンプル
 ; コマンドで 3Dcylinder を追加
(command "._cylinder" pause pause pause)

; コマンドで 3Dcylinder 追加(変数利用版)
(defun c:cm-addcylinder ()
 (setq pt1 (getpoint "\n円柱の中心点: "))
 (setq rad (getreal "\n半径: "))
 (setq hgt (getreal "\n高さ: "))
 (command "._cylinder" pt1 rad hgt)
)

; VLA で 3Dcylinder 追加(適当にactivex版)
(defun c:ax-addcylinder (/ pt1 rad hgt)
  (vl-load-com)
  (setq *actdoc* (vla-get-activedocument (vlax-get-acad-object)))
  (setq mspace (vla-get-modelspace *actdoc*))
  (setq pt1 (vlax-3d-point (setq pt (getpoint "\n円柱の中心点: "))))
  (setq rad (getdist "\n円柱の半径: " pt))
  (setq hgt (getdist "\n円柱の高さ: " pt))
  (vla-addcylinder mspace pt1 rad hgt)
  (princ)
) ;defun


関連事項